//
// Copyright 2010 EXANPE <exanpe@gmail.com>
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

/**
 * 
 */
package fr.exanpe.tapestry.tldgen.javadoc.reader;

import java.io.Reader;

import com.thoughtworks.xstream.annotations.XStreamConverter;

import fr.exanpe.tapestry.tldgen.doclet.ComponentsInfoBeanDoclet;
import fr.exanpe.tapestry.tldgen.ext.impl.MapValueConverter;
import fr.exanpe.tapestry.tldgen.javadoc.mapping.ComponentsInfoBean;

/**
 * Declare the methods to implements to parse the XML output generated by
 * {@link ComponentsInfoBeanDoclet} and Javadoc tool.
 * 
 * @author lguerin
 */
@XStreamConverter(MapValueConverter.class)
public interface ComponentsInfoBuilder
{
    ComponentsInfoBean readXMLOutput(Reader reader);
}
